// Zee Package.
package kirk.gui.dialog;

/**
 * This interface allows classes to retrieve the value(s) from an
 * <code>InputDialog</code>. It prescribes one method:
 * <code>setInputValue(Object value)</code>, which will be called when the
 * <code>InputDialog</code> is closed.
 * 
 * @author Berend "Kirk" Wouda
 * @version 1
 * @see kirk.gui.dialog.InputDialog
 */
public interface InputAcceptor {
	/**
	 * The method that sets the value(s) in this <code>InputAcceptor</code>.
	 * Remember, <code>Array</code> is also an object. If you want to pass multiple
	 * values back, just use an <code>Array</code>, a <code>List</code> or a custom
	 * object.   
	 */
	public void setInputValue(Object value);
}
